clear; clc;


global global_info
global_info.STOP_AT = 100;

pns = pnstruct('PDF_ThreeTs');
dyn.m0 = {'p4',1};
dyn.ft = {'allothers',1}; %
pni = initialdynamics(pns, dyn);

disp('******** P-invariants of monolithic RAS ********');
pinvariant(pns);
dispMultipleCR(3);

disp('******** T-invariants of monolithic RAS ********');
tinvariant(pns);
return

sim = gpensim(pni);
prnstate('Final markings: ');
prnVirtualState('Final virtual tokens: ');
prnfinalcolors(sim);