clear; clc;


global global_info
global_info.STOP_AT = 100;

pns = pnstruct('PDF_monolithicRAS');
dyn.m0 = {'pA41',2, 'pB51',3, 'RX',3, 'RY',2, 'RZ',1};
dyn.ft = {'allothers',1}; %
pni = initialdynamics(pns, dyn);

disp('******** P-invariants of monolithic RAS ********');
pinvariant(pni);
dispMultipleCR(3);

disp('******** T-invariants of monolithic RAS ********');
tinvariant(pni);
return

sim = gpensim(pni);
prnstate('Final markings: ');
prnVirtualState('Final virtual tokens: ');
prnfinalcolors(sim);