% PDF for module Alfa:
function [png] = PDF_monolithicRAS()
png.PN_name = 'Monolithic RAS'; % name of the module
png.set_of_Ps = {...
    'pA41','pA12','pA23', 'pA34'...
    'pB51','pB12','pB23','pB34','pB45',...
    'RX', 'RY','RZ'};

png.set_of_Ts = {'A1','A2','A3','A4',...
                 'B1','B2','B3','B4','B5'};

png.set_of_As = {
    'pA41','A1',1, 'RX','A1',2, 'A1','pA12',1, ... % A1
    'pA12','A2',1, 'RY','A2',1, 'A2','pA23',1, ... % A2
    'pA23','A3',1, 'RY','A3',1, 'A3','pA34',1, ... % A3
    'pA34','A4',1, 'A4','RY',2, 'A4','RX',2, 'A4','pA41',1, ... % A4
    ...
    'pB51','B1',1, 'RX','B1',1, 'RZ','B1',1, 'B1','pB12',1, ... %B1
    'RX','B2',1, 'pB12','B2',1, 'B2','pB23',1, ... %B2
    'pB23','B3',1, 'B3','RZ',1, 'B3','pB34',1, ... %B3
    'pB34','B4',1, 'RY','B4',1, 'B4','pB45',1, ... %B4
    'pB45','B5',1, 'B5','pB51',1, 'B5','RX',2, 'B5','RY',1 ... %B5
    };
% png.set_of_Ports = {'tAI1','tAI2','tAO1','tAO2'}; % IO ports of this module